コンテンツへスキップ
APIリファレンス
APIリファレンス

APIキーを取得する

1つのStandard APIキーとその現在の使用状況サマリーを取得します。

1つのStandard APIキーとその現在の使用状況サマリーを取得します。

エンドポイント

GET /api/v1/keys/:id
ベースURL
https://runapi.ai
API バージョン
v1
認証
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
Authorization
アカウント管理者の Management API キーが必要で、そのユーザーが所有するキーのみ操作できます。
02

リクエスト

JSONボディ

指定されたリクエストの場所にのみ値を送信してください。

パスパラメータフィールド1件
idstring
必須

API キーのプレフィックス ID(例:token_123)。

03

成功レスポンス

HTTP 200

GET /api/v1/keys/:id

JSON
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 1000,
  "credit_limit_reset_interval": "daily",
  "credit_limit_windows": {
    "1d": {
      "limit_cents": 500
    },
    "1h": {
      "limit_cents": 100
    },
    "7d": {
      "limit_cents": 2000
    }
  },
  "credit_usage_cents_by_model": {
    "gpt-5.4": 250
  },
  "credit_usage_cents_this_month": 250,
  "credit_usage_cents_this_week": 100,
  "credit_usage_cents_today": 25,
  "credit_usage_cents_total": 250,
  "enabled": true,
  "guardrail_id": "guardrail_123",
  "id": "token_123",
  "last_used_at": null,
  "masked_token": "runapi_abc...wxyz",
  "name": "Production"
}
04

エラーレスポンス (401)

HTTP 401
レスポンススキーマ
JSON
{
  "properties": {
    "error": {
      "description": "人が読めるエラーメッセージ。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

レスポンス例

JSON
{
  "error": "Authentication required"
}
05

エラーレスポンス (403)

HTTP 403
レスポンススキーマ
JSON
{
  "properties": {
    "error": {
      "description": "人が読めるエラーメッセージ。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

レスポンス例

JSON
{
  "error": "Management API key required"
}
06

エラーレスポンス (403)

HTTP 403
レスポンススキーマ
JSON
{
  "properties": {
    "error": {
      "description": "人が読めるエラーメッセージ。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

レスポンス例

JSON
{
  "error": "Account admin required"
}
07

エラーレスポンス (404)

HTTP 404
レスポンススキーマ
JSON
{
  "properties": {
    "error": {
      "description": "人が読めるエラーメッセージ。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

レスポンス例

JSON
{
  "error": "Resource not found"
}
08

cURLの例

CURL
curl -X GET https://runapi.ai/api/v1/keys/token_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'